package com.jy.system.model.table;

import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;
import com.jy.system.model.entity.SysRoleMenu;

public class SysRoleMenuTable extends Table<SysRoleMenu> {

    public static SysRoleMenuTable sys_role_menu = new SysRoleMenuTable();
    public static SysRoleMenuTable srm = sys_role_menu.as("srm");

    /**
     * 角色目录关联id
     */
    public QueryColumn id = this.field(SysRoleMenu::getId);

    /**
     * 角色id
     */
    public QueryColumn roleId = this.field(SysRoleMenu::getRoleId);

    /**
     * 目录id
     */
    public QueryColumn menuId = this.field(SysRoleMenu::getMenuId);


    private SysRoleMenuTable() {
        super(SysRoleMenu.class);
    }

    private SysRoleMenuTable(String alias) {
        super(SysRoleMenu.class, alias);
    }

    public SysRoleMenuTable as(String alias) {
        return new SysRoleMenuTable(alias);
    }

}
